LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
DataPilotFields Service Referencepublished

represents a collection of fields in a data pilot table. More...

`import"DataPilotFields.idl";`

Inheritance diagram for DataPilotFields:

## Exported Interfaces
interface | com::sun::star::container::XIndexAccess
| provides access to the data pilot fields in the collection via index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all data pilot fields. More...
interface | com::sun::star::container::XNameAccess
| provides access to the data pilot fields in the collection via name. More...

## Additional Inherited Members
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)

## Detailed Description

represents a collection of fields in a data pilot table.

If the data pilot table is based on a spreadsheet cell range, the fields are represented by the columns of the range and are named using the first row of the range.

See also
  com::sun::star::sheet::DataPilotField

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all data pilot fields.

See also
  com::sun::star::sheet::DataPilotItemsEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the data pilot fields in the collection via index.

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

provides access to the data pilot fields in the collection via name.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DataPilotFields.idl